#!/usr/bin/env perl
# Usage: perl loci_table.pl [list with scaffold and gene id information]
# Example: perl loci_table.pl lan_gene_loci_list_new_id_OG > lan_loci_list
# loci_table.pl
# YJ Luo | 2014.04.15

use strict;
use warnings;

open (IN, $ARGV[0]) || die "cannot open the loci list! \n $!";

my $scaffold_number;
my $next_number;
my $ID;
while (<IN>) {
	my @fields = split (" ", $_);
	$scaffold_number = $fields[0];
	$ID = $fields[1];
	if ($next_number eq $scaffold_number) {
		print $ID . "\n";
	}
	if ($next_number ne $scaffold_number) {
		print '>' . $scaffold_number . "\n";
		print $ID . "\n";
	}
	$next_number = $scaffold_number;
}